"""Load graph from a file"""

import logging
import pickle

from sitt import Configuration, Context, PreparationInterface

logger = logging.getLogger()


class GraphLoad(PreparationInterface):
    """Load graph from a file"""

    def __init__(self):
        super().__init__()
        self.filename: str = 'saved_graph.pkl'

    def run(self, config: Configuration, context: Context) -> Context:
        if logger.level <= logging.INFO:
            logger.info(
                "Loading graph from: " + self.filename)

        file = open(self.filename, 'rb')

        context.graph = pickle.load(file)

        file.close()

        return context

    def __str__(self):
        return 'GraphLoad'
